Skip to main content
GET
/
workspace
/
{ws_id}
/
executions
/
{id}
Get a playbook execution by its ID
curl --request GET \
  --url https://app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id} \
  --header 'BLINK-API-KEY: <api-key>'
{
  "app_id": "<string>",
  "async_parent_execution_id": "<string>",
  "cancel_reason": "<string>",
  "created_at": 123,
  "created_by": "<string>",
  "ctrl_id": "<string>",
  "display_name": "Restart pod #12",
  "draft_execution_number": 123,
  "duration": 1523,
  "engine_v2_compile_error": "<string>",
  "engine_version": "<string>",
  "error_details": {},
  "event": {},
  "execution_depth": 123,
  "execution_number": 123,
  "finished_at": 123,
  "id": "<string>",
  "input_values_origin_exec_id": "",
  "inputs": {},
  "last_playbook_name": "<string>",
  "name": "<string>",
  "net_runtime_ms": 123,
  "pack_id": "pack_01HZZ",
  "parent_execution_id": "<string>",
  "playbook": "<string>",
  "playbook_deleted": false,
  "playbook_id": "<string>",
  "playbook_name": "Restart pod",
  "runner_cluster_version": "<string>",
  "runner_group_id": "<string>",
  "runner_id": "<string>",
  "runner_version": "<string>",
  "scheduled_trigger_timezone": "America/New_York",
  "started_at": 123,
  "state": "<string>",
  "state_ui": "<string>",
  "step_results": {},
  "subflows_reference_to_name_mapping": {
    "subflow_ref_1": "Child flow"
  },
  "tenant_id": "<string>",
  "test_session_id": "<string>",
  "timeout": 123,
  "top_execution_id": "<string>",
  "top_execution_started_at": 123,
  "trigger_type": "<string>",
  "type": "<string>",
  "updated_at": 123,
  "updated_by": "<string>",
  "version": "<string>",
  "with_concurrency_limit": true,
  "workspace_id": "<string>"
}

Authorizations

Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.

Path Parameters

ws_id
string
required

The ID of the workspace containing the execution

id
string
required

The ID of the playbook execution to retrieve

Query Parameters

withApplyView
boolean

When set to true, retrieve enhanced data

Response

Execution with subflow name mapping

Playbook execution details including subflow reference to playbook name mapping.

app_id
string
async_parent_execution_id
string
cancel_reason
string
created_at
integer
created_by
string
ctrl_id
string
display_name
string

The execution's display name

Example:

"Restart pod #12"

draft_execution_number
integer
duration
integer

The runtime duration in milliseconds

Example:

1523

engine_v2_compile_error
string
engine_version
string

The preferred workflow engine version

error_details
object
event
object

The execution's trigger event payload

execution_depth
integer
execution_number
integer

UNIQUE INDEX idx_playbook_executions_pbid_en

finished_at
integer
id
string
input_values_origin_exec_id
string
Example:

""

inputs
object
last_playbook_name
string

LastPlaybookName Holds last playbook name after playbook deletion to be used in display names for past executions

name
string
net_runtime_ms
integer
pack_id
string

The parent automation pack id

Example:

"pack_01HZZ"

parent_execution_id
string
playbook
string
playbook_deleted
boolean

Whether the playbook was deleted

Example:

false

playbook_id
string

UNIQUE INDEX idx_playbook_executions_pbid_en

playbook_name
string

The playbook name

Example:

"Restart pod"

runner_cluster_version
string
runner_group_id
string
runner_id
string

use text column type to allow empty strings

runner_version
string
scheduled_trigger_timezone
string

Timezone for scheduled trigger

Example:

"America/New_York"

started_at
integer
state
string
state_ui
string
step_results
object
subflows_reference_to_name_mapping
object

Subflow references to playbook names mapping

Example:
{ "subflow_ref_1": "Child flow" }
tenant_id
string
test_session_id
string
timeout
integer

timeout in milliseconds

top_execution_id
string
top_execution_started_at
integer
trigger_type
string

The type of the trigger of the workflow

type
string
updated_at
integer
updated_by
string
version
string
with_concurrency_limit
boolean
workspace_id
string